# GeographicTilingScheme

#### new Cesium.GeographicTilingScheme(options)
Core/GeographicTilingScheme.js 41

  A tiling scheme for geometry referenced to a simple `GeographicProjection` where longitude and latitude are directly mapped to X and Y. This projection is commonly known as geographic, equirectangular, equidistant cylindrical, or plate carrée.

  Name | Type | Description
  --- | --- | ---

  `options`

  Object

  optional Object with the following properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `ellipsoid` | Ellipsoid | `Ellipsoid.WGS84` | optional The ellipsoid whose surface is being tiled. Defaults to the WGS84 ellipsoid.
  `rectangle` | Rectangle | `Rectangle.MAX_VALUE` | optional The rectangle, in radians, covered by the tiling scheme.
  `numberOfLevelZeroTilesX` | Number | `2` | optional The number of tiles in the X direction at level zero of the tile tree.
  `numberOfLevelZeroTilesY` | Number | `1` | optional The number of tiles in the Y direction at level zero of the tile tree.

### Members

#### ellipsoid : Ellipsoid
Core/GeographicTilingScheme.js 57

  Gets the ellipsoid that is tiled by this tiling scheme.

#### projection : MapProjection
Core/GeographicTilingScheme.js 79

  Gets the map projection used by this tiling scheme.

#### rectangle : Rectangle
Core/GeographicTilingScheme.js 68

  Gets the rectangle, in radians, covered by this tiling scheme.

### Methods

#### getNumberOfXTilesAtLevel(level) → Number
Core/GeographicTilingScheme.js 92

  Gets the total number of tiles in the X direction at a specified level-of-detail.

  Name | Type | Description
  --- | --- | ---
  `level` | Number | The level-of-detail.

  ##### Returns:

  The number of tiles in the X direction at the given level.

#### getNumberOfYTilesAtLevel(level) → Number
Core/GeographicTilingScheme.js 102

  Gets the total number of tiles in the Y direction at a specified level-of-detail.

  Name | Type | Description
  --- | --- | ---
  `level` | Number | The level-of-detail.

  ##### Returns:

  The number of tiles in the Y direction at the given level.

#### positionToTileXY(position, level, result) → Cartesian2
Core/GeographicTilingScheme.js 207

  Calculates the tile x, y coordinates of the tile containing a given cartographic position.

  Name | Type | Description
  --- | --- | ---
  `position` | Cartographic | The position.
  `level` | Number | The tile level-of-detail. Zero is the least detailed.
  `result` | Cartesian2 | optional The instance to which to copy the result, or undefined if a new instance should be created.

  ##### Returns:

  The specified 'result', or a new object containing the tile x, y coordinates if 'result' is undefined.

#### rectangleToNativeRectangle(rectangle, result) → Rectangle
Core/GeographicTilingScheme.js 116

  Transforms an rectangle specified in geodetic radians to the native coordinate system of this tiling scheme.

  Name | Type | Description
  --- | --- | ---
  `rectangle` | Rectangle | The rectangle to transform.
  `result` | Rectangle | optional The instance to which to copy the result, or undefined if a new instance should be created.

  ##### Returns:

  The specified 'result', or a new object containing the native rectangle if 'result' is undefined.

#### tileXYToNativeRectangle(x, y, level, result) → Rectangle
Core/GeographicTilingScheme.js 151

  Converts tile x, y coordinates and level to an rectangle expressed in the native coordinates of the tiling scheme.

  Name | Type | Description
  --- | --- | ---
  `x` | Number | The integer x coordinate of the tile.
  `y` | Number | The integer y coordinate of the tile.
  `level` | Number | The tile level-of-detail. Zero is the least detailed.
  `result` | Object | optional The instance to which to copy the result, or undefined if a new instance should be created.

  ##### Returns:

  The specified 'result', or a new object containing the rectangle if 'result' is undefined.

#### tileXYToRectangle(x, y, level, result) → Rectangle
Core/GeographicTilingScheme.js 171

  Converts tile x, y coordinates and level to a cartographic rectangle in radians.

  Name | Type | Description
  --- | --- | ---
  `x` | Number | The integer x coordinate of the tile.
  `y` | Number | The integer y coordinate of the tile.
  `level` | Number | The tile level-of-detail. Zero is the least detailed.
  `result` | Object | optional The instance to which to copy the result, or undefined if a new instance should be created.

  ##### Returns:

  The specified 'result', or a new object containing the rectangle if 'result' is undefined.